﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvProdNoConsumidos.aspx.cs" Inherits="Seven.DSS.RPTInvNoConsumidos" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title>INV - <%=L.TIT("ProductosNoConsumidos") %> [3.4]</title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvProdNoConsumidos.aspx?op=' + $('#cbDatosInv').val();
        }

        <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid SECCION
 * JQ02 - Grid Articulos
 * JQ03 - Otras funciones
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Stoksecc */ %>

        <% /* Función para cargar los datos del Web Service. */ %>
function GetSEC() {
            $.ajax({
                url: 'Servicio.svc/GetSeccionGrid',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgSEC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                        InitializeComponents();
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSEC() {

            var lselSEC;
            var colMap = {};
            $("#jqgSEC").jqGrid({
                datatype: 'local',
                height: 150,
                width: 300,//212
                colNames: ['', '', '<%=L.LBL("LblINVCOSeccion")%>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo', index: 'codigo', width: 1, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_cto', index: 'id_cto', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'consecutivo_ped', index: 'consecutivo_ped', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            //{ name: 'eliminado', index: 'eliminado', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselSEC) && !isNaN(id)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            //$('#jqgSEC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);

                            $('#jqgSEC').jqGrid('restoreRow', lselSEC);

                            $('#IdSubElementSEC').val(ret.Id);
                        }
                        else {
                            //BotonNuevoSEC();
                        }

                        //$('#jqgSEC').jqGrid('editRow', id, true, EventsSEC);
                        //$('#jqgSEC').jqGrid('resetSelection');

                        //Radios();


                        lselSEC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselSEC)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            $('#jqgSEC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgSEC').jqGrid('saveRow', lselSEC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgSEC').jqGrid('setSelection', id);

                        //BotonSelectSEC();
                    }
                },
                gridComplete: function () {
                    //$('#jqgTOD #SEC #jqgSEC td:nth-child(1),#jqgTOD #SEC th:nth-child(1)').hide();

                    var rows = $("#jqgSEC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementSEC').val()) == 0) {
                            //$('#IdSubElementSEC').val($("#jqgSEC").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgSEC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgSEC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgSEC').jqGrid('setSelection', $('#IdSubElementSEC').val());
                    if (parseInt($('#IdSubElementSEC').val()) != 0) {
                        //BotonSelectSEC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSEC").jqGrid('navGrid','#PaginadorStoksecc',{del:false,add:false,edit:false,search:false});
            $("#bsdataStoksecc").click(function () {
                jQuery("#jqgSEC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsSEC(id) {
            $("#" + id + "_codigo").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_id_cto").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_consecutivo_ped").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_unico").on('input', function () { BotonGuardarSEC(); });
            //$("#" + id + "_eliminado").on('change', function () { BotonGuardarSEC(); });draggableOn();
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSEC() {
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", datatype: GetSEC, loadonce: true });
            $("#jqgSEC").trigger("reloadGrid");
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <%/* JQ02 */%>

        <% /* Código del jqGrid para ARTICULOS */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetART() {
            $.ajax({
                url: 'Servicio.svc/GetArticulosGrid_INV',
                data: {
                    "ArtBusqueda": $("#txtArticulo").val(), "Opcion": $("#txtOpcion").val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando4').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando4').dialog('close');
                    try {

                        datos = JSON.parse(json.d);

                        if (datos.rows.length == 0) {
                            Mensajes("<%=L.ERR("ERR_GEN_ART_EXI") %>", 0);
                        }

                        $("#jqgART").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgART")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridART() {

            var lselART;
            var colMap = {};
            $("#jqgART").jqGrid({
                datatype: 'local',
                height: 255,
                width: 440,
                colNames: ['', '<%=L.LBL("LblGENCode")%>', '<%=L.LBL("LblGENDescription")%>', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''],
                colModel: [

                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'fullarticode', index: 'fullarticode', width: 3, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_fami', index: 'id_fami', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'codigo', index: 'codigo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'activo', index: 'activo', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'cod_aux', index: 'cod_aux', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            {
                                name: 'ctrl_exist', index: 'ctrl_exist', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT },
                                //search: false, formatter: 'select', stype: 'select', edittype: 'select', editoptions: { value: "< %-Utils.jqGridYesNoCombo %>" }
                            },
                            { name: 'id_unme_co', index: 'id_unme_co', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_al', index: 'id_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'id_unme_se', index: 'id_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_al', index: 'cant_unme_al', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'cant_unme_se', index: 'cant_unme_se', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_precio_cmp', index: 'ult_precio_cmp', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_id_mone', index: 'ult_id_mone', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'ult_tasa', index: 'ult_tasa', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'fecha_ultima_cmp', index: 'fecha_ultima_cmp', width: 10, editable: false, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },

                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselART) && !isNaN(id)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            //$('#jqgART').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgART").jqGrid('getRowData', id);

                            $('#jqgART').jqGrid('restoreRow', lselART);

                            $('#IdSubElementART').val(ret.Id);
                        }
                        else {
                            BotonNuevoART();
                        }

                        $('#jqgART').jqGrid('editRow', id, true, EventsART);

                        lselART = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselART)) {
                            $("#jqgART").jqGrid('delRowData', lselART);
                            $('#jqgART').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgART').jqGrid('saveRow', lselART);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgART').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgART").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextStokarti').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconStokarti').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgART').jqGrid('setSelection', id); 

                        //BotonSelectART();
                        //BotonGuardarStokarti();
                    }
                },
                gridComplete: function () {
                    $('#IdSubElementART').val(0);
                    var rows = $("#jqgART").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementART').val()) == 0) {
                            $('#IdSubElementART').val($("#jqgART").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgART").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgART").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgART').jqGrid('setSelection', $('#IdSubElementART').val());
                    if (parseInt($('#IdSubElementART').val()) != 0) {
                        //BotonSelectART();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgART").jqGrid('navGrid','#PaginadorStokarti',{del:false,add:false,edit:false,search:false});
            $("#bsdataART").click(function () {
                jQuery("#jqgART").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsART(id) {
            $("#" + id + "_codigo").on('input', function () { });

            $("#" + id + "_descripcion").prop("disabled", true).on('input', function () { });
            $("#" + id + "_fullarticode").prop("disabled", true).on('input', function () { });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridART() {
            $("#jqgART").jqGrid("setGridParam", { datatype: "json", datatype: GetART, loadonce: true });
            $("#jqgART").trigger("reloadGrid");
            $("#jqgART").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <%/* Busqueda de articulos por el dialog */%>

        function BusquedaArti() {
            $('#jqgART').jqGrid('clearGridData');

            RefreshGridART();

            if ($("#txtFocus").val() == 0) {
                $("#txtFiltroNombre").focus();
            }
            else {
                $("#txtFiltroCodigo").focus();
            }

            $("#dialog-Articulo").dialog({
                //$("#jqgART").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                close: function () {

                    if ($("#cbArticulosDesde").val() == "" || $("#txtBusquedaDesde").val() == "") {
                        $("#cbArticulosDesde").val('');
                        $("#txtBusquedaDesde").val("");
                    }
                    if ($("#cbArticulosHasta").val() == "" || $("#txtBusquedaHasta").val() == "") {
                        $("#cbArticulosHasta").val('');
                        $("#txtBusquedaHasta").val("");
                    }

                    if (($("#cbArticulosDesde").val() != "" && $("#cbArticulosHasta").val() == "") || 
                        ($("#cbArticulosDesde").val() == $("#cbArticulosHasta").val() && $("#cbArticulosDesde").val() != "")) {
                        $("#cbArticulosHasta").focus();
                    }

                    $("#txtFiltroNombre").val('');
                    $("#txtFiltroCodigo").val('');

                    $("#txtArticulo").val('');
                    $("#txtOpcion").val('');
                    $("#txtFocus").val('');
                },
                buttons:
                    {

                        '<%=L.LBL("LblFDKSSeleccionar")%>': function () {

                            var id = $("#jqgART").jqGrid('getGridParam', 'selrow');

                            if ($("#txtControl").val() == "txtBusquedaDesde") {
                                $("#cbArticulosDesde").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaDesde").val($('#' + id + '_descripcion').val());
                                if ($("#cbArticulosHasta").val() == "") {
                                    $("#cbArticulosHasta").val($("#cbArticulosDesde").val());
                                    $("#txtBusquedaHasta").val($("#txtBusquedaDesde").val());
                                }
                            };
                            if ($("#txtControl").val() == "txtBusquedaHasta") {
                                $("#cbArticulosHasta").val($('#' + id + '_fullarticode').val());
                                $("#txtBusquedaHasta").val($('#' + id + '_descripcion').val());
                            };

                            $(this).dialog("close");
                        }
                    }

            });
        }

        <%/* filtro para buscar articulo en el dialog */%>

        function FiltroART() {
            if (($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val().length > 0) || ($("#txtFocus").val() == 0 && $("#txtFiltroNombre").val().length > 0)) {
                $("#txtArticulo").val($("#txtFiltroNombre").val());
                $("#txtOpcion").val(0);
                RefreshGridART();
            }
            if (($("#txtFiltroCodigo").is(":focus") && $("#txtFiltroCodigo").val().length > 0) || ($("#txtFocus").val() == 1 && $("#txtFiltroCodigo").val().length > 0)) {
                $("#txtArticulo").val($("#txtFiltroCodigo").val());
                $("#txtOpcion").val(1);
                RefreshGridART();
            }
        }


    function Mensajes(Mensaje, opc) {

            $('#dlgMensajes').html(Mensaje);

            $("#dlgMensajes").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                close: function () {
                },
                buttons:
                    {
                        '<%=L.LBL("LblGENAceptar")%>': function () {

                            $(this).dialog("close");
                        }
                    }

            });
        };

        <%/* JQ03 */%>

        function InitializeComponents() {

            //Initialize Components

            //Radio Button
            $("#Todos").change(function () { RadiosArticulos();  });
            $("#Grupo").change(function () { RadiosArticulos();  });
            $("#Familia").change(function () { RadiosArticulos();  });
            $("#Rango").change(function () { RadiosArticulos();  });
            //$("#rdUno").change(function () { OcultarMulti(); Radios(); });

            //Combo Grupos
            $("#cbGrupo").on('change', function () {
                $("#txtGrupo").val((($("#cbGrupo option:selected").text()).split("-")[1]).trim());
            });

            //Combo Familia
            $("#cbFamilia").on('change', function () {
                $("#txtFamilia").val((($("#cbFamilia option:selected").text()).split("-")[1]).trim());
            });

            //Combo Desde
            $("#cbArticulosDesde").on('change', function () {
                if ($("#cbArticulosDesde").val() == "") {
                    $("#txtBusquedaDesde").val("");
                }
            });

            $("#cbArticulosDesde").focus(function () { $("#txtFocus").val("1"); $("#txtControl").val("txtBusquedaDesde"); }).on('input', function () { });

            //Texbox Desde
            $("#txtBusquedaDesde").focus(function () { $("#txtFocus").val("0"); $("#txtControl").val("txtBusquedaDesde"); }).on('input', function () { });


            //Combo Hasta
            $("#cbArticulosHasta").on('change', function () {
                if ($("#cbArticulosHasta").val() == "") {
                    $("#txtBusquedaHasta").val("");
                }
            });

            $("#cbArticulosHasta").focus(function () { $("#txtFocus").val("1"); $("#txtControl").val("txtBusquedaHasta"); }).on('input', function () { });

            //Texbox Hasta
            $("#txtBusquedaHasta").focus(function () { $("#txtFocus").val("0"); $("#txtControl").val("txtBusquedaHasta") }).on('input', function () { });


            //txtbusqueda
            $("#txtFiltroCodigo").focus(function () { $("#txtFocus").val("1"); }).on('input', function () { });
            $("#txtFiltroNombre").focus(function () { $("#txtFocus").val("0"); }).on('input', function () { });
                

            //checkbox
            $("#chValorado").on('change', function () { CheckboxHabilitar(); });
            $("#chCuentas").on('change', function () { CheckboxHabilitar(); });//.prop("checked",true)

            $("#chExistenciaTeorica").prop("checked", true);
        }

        function RadiosArticulos() {
            if ($('input[name=rbProductos]:checked').val() == 0) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDesde").prop("disabled", true)
                $("#txtBusquedaDesde").prop("disabled", true)
                $("#cbArticulosHasta").prop("disabled", true)
                $("#txtBusquedaHasta").prop("disabled", true)
            }
            if ($('input[name=rbProductos]:checked').val() == 1) {
                $("#cbGrupo").prop("disabled", false)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDesde").prop("disabled", true)
                $("#txtBusquedaDesde").prop("disabled", true)
                $("#cbArticulosHasta").prop("disabled", true)
                $("#txtBusquedaHasta").prop("disabled", true)
            }
            if ($('input[name=rbProductos]:checked').val() == 2) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", false)
                $("#cbArticulosDesde").prop("disabled", true)
                $("#txtBusquedaDesde").prop("disabled", true)
                $("#cbArticulosHasta").prop("disabled", true)
                $("#txtBusquedaHasta").prop("disabled", true)
            }
            if ($('input[name=rbProductos]:checked').val() == 3) {
                $("#cbGrupo").prop("disabled", true)
                $("#cbFamilia").prop("disabled", true)
                $("#cbArticulosDesde").prop("disabled", false)
                $("#txtBusquedaDesde").prop("disabled", false)
                $("#cbArticulosHasta").prop("disabled", false)
                $("#txtBusquedaHasta").prop("disabled", false)
            }

        }

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {

                //busqueda dentro del dialog
                if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != "" && $("#txtFocus").val() == 0) {
                    FiltroART();
                };
                if ($("#txtFiltroCodigo").is(":focus") && $("#txtFiltroCodigo").val() != "" && $("#txtFocus").val() == 1) {
                    FiltroART();
                };

                //por Codigo
                if ($("#cbArticulosDesde").is(":focus") && ($("#cbArticulosDesde").val() != '')) {
                    $("#txtFocus").val("1");
                    $("#txtArticulo").val($("#cbArticulosDesde").val());
                    $("#txtOpcion").val(1);
                    $("#txtFiltroCodigo").val($("#cbArticulosDesde").val());
                    BusquedaArti();
                };

                if ($("#cbArticulosHasta").is(":focus") && ($("#cbArticulosHasta").val() != '')) {
                    $("#txtFocus").val("1");
                    $("#txtArticulo").val($("#cbArticulosHasta").val());
                    $("#txtOpcion").val(1);
                    $("#txtFiltroCodigo").val($("#cbArticulosHasta").val());
                    BusquedaArti();
                };

                //por nombre
                if ($("#txtBusquedaDesde").is(":focus") && ($("#txtBusquedaDesde").val() != '')) {
                    $("#txtFocus").val("0");
                    $("#txtArticulo").val($("#txtBusquedaDesde").val());
                    $("#txtOpcion").val(0);
                    $("#txtFiltroNombre").val($("#txtBusquedaDesde").val());
                    BusquedaArti();
                };

                if ($("#txtBusquedaHasta").is(":focus") && ($("#txtBusquedaHasta").val() != '')) {
                    $("#txtFocus").val("0");
                    $("#txtArticulo").val($("#txtBusquedaHasta").val());
                    $("#txtOpcion").val(0);
                    $("#txtFiltroNombre").val($("#txtBusquedaHasta").val());
                    BusquedaArti();
                };

                if ($("#cbArticulosDesde").is(":focus") && ($("#cbArticulosDesde").val() == '')) {
                    $("#txtBusquedaDesde").focus();
                }

                if ($("#cbArticulosHasta").is(":focus") && ($("#cbArticulosHasta").val() == '')) {
                    $("#txtBusquedaHasta").focus();
                }

            }
        }


        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=4300&fi=' + $('#txtFechaInicio').val()
                + '&sec=' + $("#jqgSEC").jqGrid('getGridParam', 'selarrrow').toString()
                + '&rbp=' + $('input[name=rbProductos]:checked').val()
                + '&cg=' + $('#cbGrupo').val()
                + '&cf=' + $('#cbFamilia').val()
                + '&cpd=' + $('#cbArticulosDesde').val()
                + '&cpa=' + $('#cbArticulosHasta').val()
                + '&se=' + $('#chExistencia:checked').val(),
                    '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                close: function () {
                    if ($("#txtFocus").val() == 0) {
                        $("#txtFiltroNombre").focus();
                    }
                    else {
                        $("#txtFiltroCodigo").focus();
                    }
                },
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridSEC();
            LoadGridART();

            RefreshGridSEC();

            RadiosArticulos();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTInvProdNoConsumidos.aspx">INV - <%=L.TIT("ProductosNoConsumidos") %> [3.4]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 545px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgMensajes" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ProductosNoConsumidos") %> [3.4]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <%--<a href="Ayuda/HLPInformes.aspx" id="A1">--%>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/inventario/3-4-productos-no-consumidos/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                        <td>
                            <%=cbDatosInv %>
                        </td>
                    </tr>
                </table>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <%=L.LBL("LblGENStart")%> <%=L.LBL("LblGENDate") %> 
                <input type="text" id="txtFechaInicio" class="eligeFecha" name="txtFechaInicio" style="width:85px" value="<%=fecha_hotel_ini%>" />

                <br />
                <br />

                <table id="jqgTOD">
                    <tr>
                        <td id="ALM">
                            <input type="hidden" id="IdSubElementALM" value="0" />
                            <table id="jqgALM"></table>
                        </td>
                        <td id="SEC">
                            <input type="hidden" id="IdSubElementSEC" value="0" />
                            <table id="jqgSEC"></table>

                        </td>
                    </tr>
                </table>

                <br />

                
                <table>
                    <tr>
                        <td>
                            <fieldset>
                                <legend><b><%=L.LBL("LblINVProductos") %></b></legend>
                                <table>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Todos" name="rbProductos" checked="checked" value="0" />
                                            <%=L.LBL("LblGENAll") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Grupo" name="rbProductos" value="1" />
                                            <%=L.LBL("LblGENGroup") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Familia" name="rbProductos" value="2" />
                                            <%=L.LBL("LblGENFamily") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="radio" id="Rango" name="rbProductos" value="3" />
                                            <%=L.LBL("LblFDKRango") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="height: 20px">&nbsp;
                                            <%--<input type="radio" id="uno" name="rbProductos" value="4" />
                                            <%=L.LBL("Uno") %>--%>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td>
                            <table>
                                <tr>
                                    <td style="height: 40px">&nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                    <td>
                                        <select name="cbGrupo" id="cbGrupo" onchange="" style="width: 430px;">
                                            <%
                                                foreach (System.Data.DataRow dr in ListaGrupos.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td style="height: 20px">&nbsp;
                                    </td>
                                    <td>
                                        <select name="cbFamilia" id="cbFamilia" onchange="" style="width: 430px;">
                                            <%--<option value="0"></option>--%>

                                            <%
                                                foreach (System.Data.DataRow dr in ListaFamilia.Rows)
                                                {
                                                    Response.Write(Utils.GetSelectOption(dr[0].ToString(), dr[1].ToString() + " - " + dr[2].ToString(), false));
                                                }
                                            %>
                                        </select>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENDel") %> <%--<input type="text" id="labelDel" name="labelDel" maxlength="12" style="width:30%"/>--%>
                                    </td>
                                    <td>

                                            <input type="text" id="cbArticulosDesde" name="cbArticulosDesde" style="width: 75px" onkeypress="ValidaART(event)" />

                                            <input type="text" id="txtBusquedaDesde" name="txtBusquedaDesde" style="width:350px" onkeypress="ValidaART(event)" />

                                            <input type="text" id="txtControl" name="txtControl" hidden="hidden" />

                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%=L.LBL("LblGENAl") %> <%--<input type="text" id="labelAl" name="labelAl" maxlength="12" style="width:30%"/>--%>
                                    </td>
                                    <td>
                                        
                                            <input type="text" id="cbArticulosHasta" name="cbArticulosHasta" style="width: 75px" onkeypress="ValidaART(event)" />

                                            <input type="text" id="txtBusquedaHasta" name="txtBusquedaHasta" style="width:350px" onkeypress="ValidaART(event)" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br />

                <input type="checkbox" id="chExistencia" name="chExistencia" value="1" checked="checked"/><%=L.LBL("LblINVPNCSoloExistencia") %>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <% /* Dialog de Articulos */ %>

                <div id="dialog-Articulo" title='<%=L.LBL("LblINVCOSeleccioneProducto")%>' style="display: none">

                    <table>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENCode")%>: 
                            </td>
                            <td>
                                <input type="text" id="txtFiltroCodigo" name="txtFiltroCodigo" style="width: 290px" onkeypress="ValidaART(event)" />
                            </td>
                            <td rowspan="3">
                                <button type="button" id="btnFiltro" onclick="FiltroART();">
                                    <table>
                                        <tr>
                                            <td>
                                                <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" /></td>
                                            <td><%=L.LBL("LblGENFiltrar") %></td>
                                        </tr>
                                    </table>
                                </button>
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td>
                                <%=L.LBL("LblGENArticulo")%>: 
                            </td>
                            <td>
                                <input type="text" id="txtFiltroNombre" name="txtFiltroNombre" style="width: 290px" onkeypress="ValidaART(event)" />
                            </td>
                        </tr>
                    </table>

                    <br />

                    <input type="hidden" id="IdSubElementART" value="0" />
                    <table id="jqgART"></table>


                    <input type="text" id="txtArticulo" name="txtArticulo" hidden="hidden" />
                    <input id="txtOpcion" name="txtOpcion" type="hidden" />
                    <input id="txtFocus" name="txtFocus" type="hidden" />
                </div>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
