﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvResumenCompras.aspx.cs" Inherits="Seven.DSS.RPTInvResumenCompras" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title>INV - <%=L.TIT("ResumenCompras") %> [4.3]</title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvResumenCompras.aspx?op=' + $('#cbDatosInv').val();
        }

        <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid  Proveedor
 * JQ02 - Otros
 * JQ03 - Get Moneda Base
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para el Proveedor */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPRO() {
            $.ajax({
                url: 'Servicio.svc/GetProveedor',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgPRO").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgPRO")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgPRO").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

       <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridPRO() {

            var lselPRO;
            var colMap = {};
            $("#jqgPRO").jqGrid({
                datatype: 'local',
                height: 225,//255
                width: 500,
                colNames: ['', '<%=L.LBL("LblGENCode")%>', '<%=L.LBL("LblGENDescription")%>'],
                colModel: [

                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'siglas', index: 'siglas', width: 35, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'nombre_empresa', index: 'nombre_empresa', width: 65, editable: true, searchoptions: { sopt: ListFindT } },

                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselPRO) && !isNaN(id)) {
                            $("#jqgPRO").jqGrid('delRowData', lselPRO);
                            //$('#jqgPRO').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgPRO').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgPRO").jqGrid('getRowData', id);

                            $('#jqgPRO').jqGrid('restoreRow', lselPRO);

                            $('#IdSubElementPRO').val(ret.Id);
                        }
                        else {
                            BotonNuevoART();
                        }

                        $('#jqgPRO').jqGrid('editRow', id, true, EventsPRO);

                        lselPRO = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselPRO)) {
                            $("#jqgPRO").jqGrid('delRowData', lselPRO);
                            $('#jqgPRO').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgPRO').jqGrid('saveRow', lselPRO);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgPRO').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgPRO").jqGrid('getRowData', id);
                        var status = ret.Eli;


                        //$('#jqgPRO').jqGrid('setSelection', id); 

                        //BotonSelectART();
                        //BotonGuardarStokarti();
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgPRO").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementPRO').val()) == 0) {
                            //$('#IdSubElementPRO').val($("#jqgPRO").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgPRO").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgPRO").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgPRO').jqGrid('setSelection', $('#IdSubElementPRO').val());
                    if (parseInt($('#IdSubElementPRO').val()) != 0) {
                        //BotonSelectART();
                    }
                    //$("#" + $('#IdSubElementPRO').val() + "_descripcion").prop("disabled", false);
                    //$("#" + $('#IdSubElementPRO').val() + "_fullarticode").prop("disabled", false);
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgPRO").jqGrid('navGrid','#PaginadorStokarti',{del:false,add:false,edit:false,search:false});
            $("#bsdataPRO").click(function () {
                jQuery("#jqgPRO").jqGrid('searchGrid', { multipleSearch: true });
            });
        }

        function EventsPRO(id) {
            $("#" + id + "_siglas").prop("disabled", true).on('input', function () { });
            $("#" + id + "_nombre_empresa").prop("disabled", true).on('input', function () { });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPRO() {
            $("#jqgPRO").jqGrid("setGridParam", { datatype: "json", datatype: GetPRO, loadonce: true });
            $("#jqgPRO").trigger("reloadGrid");
            $("#jqgPRO").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ02 */%>

        function InitializeComponents() {

            //Initialize Components

            //checkbox 
            $("#chImporte").on('change', function () {
                if ($("#chImporte:checked").val() == 1) {
                    $("#txtImporte").prop("disabled", false);
                    $('#jqgPRO').jqGrid('resetSelection');
                }
                else {
                    $("#txtImporte").prop("disabled", true);
                }
            });

            //Fechas
            $("#txtFechaInicio").on('input', function () { });
            $("#txtFechaFinal").on('input', function () { });

        }

        function ValidaART(e) {
            Tecla = (document.all) ? e.keyCode : e.which;
            if (Tecla == 13) {
                //busqueda dentro del dialog
                if ($("#txtFiltroNombre").is(":focus") && $("#txtFiltroNombre").val() != "" && $("#txtFocus").val() == 0) {
                    FiltroART();
                };
                if ($("#txtFiltroCodigo").is(":focus") && $("#txtFiltroCodigo").val() != "" && $("#txtFocus").val() == 1) {
                    FiltroART();
                };

                //por Codigo
                if ($("#cbArticulosDesde").is(":focus") && ($("#cbArticulosDesde").val() != '')) {
                    $("#txtFocus").val("1");
                    $("#txtArticulo").val($("#cbArticulosDesde").val());
                    $("#txtOpcion").val(1);
                    $("#txtFiltroCodigo").val($("#cbArticulosDesde").val());
                    BusquedaArti();
                };

                if ($("#cbArticulosHasta").is(":focus") && ($("#cbArticulosHasta").val() != '')) {
                    $("#txtFocus").val("1");
                    $("#txtArticulo").val($("#cbArticulosHasta").val());
                    $("#txtOpcion").val(1);
                    $("#txtFiltroCodigo").val($("#cbArticulosHasta").val());
                    BusquedaArti();
                };

                //por nombre
                if ($("#txtBusquedaDesde").is(":focus") && ($("#txtBusquedaDesde").val() != '')) {
                    $("#txtFocus").val("0");
                    $("#txtArticulo").val($("#txtBusquedaDesde").val());
                    $("#txtOpcion").val(0);
                    $("#txtFiltroNombre").val($("#txtBusquedaDesde").val());
                    BusquedaArti();
                };

                if ($("#txtBusquedaHasta").is(":focus") && ($("#txtBusquedaHasta").val() != '')) {
                    $("#txtFocus").val("0");
                    $("#txtArticulo").val($("#txtBusquedaHasta").val());
                    $("#txtOpcion").val(0);
                    $("#txtFiltroNombre").val($("#txtBusquedaHasta").val());
                    BusquedaArti();
                };
            }
        }

        function Validar(e) {

            var key = e.charCode || e.keyCode;
            if (key == 13) {
                ValidaART(e);
            }

            var separador = '<%= Convert.ToChar(System.Globalization.CultureInfo.CurrentCulture.NumberFormat.NumberDecimalSeparator) %>';

            if (separador == ",") {
                separador = 44;
            }
            if (separador == ".") {
                separador = 46;
            }

            if ((key < 48 || key > 57) && key != separador && key != 13)
            { return false; }
        }

        function Mensajes(Mensaje) {

            $('#dlgMensajes').html(Mensaje);

            $("#dlgMensajes").dialog({
                resizable: false,
                height: 'auto',
                width: 'auto',
                modal: true,
                close: function () {
                },
                buttons:
                    {
                        '<%=L.LBL("LblGENAceptar")%>': function () {

                            $(this).dialog("close");
                        }
                    }

            });
        };

        <% /* JQ03 */%>

       <%/* Get para buscar moneda de referencia */%>

        function GetMON() {
            $.ajax({
                url: 'Servicio.svc/GetMonReferencia',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {

                        datos = JSON.parse(json.d);

                        $("#txtMoneda").val(datos.rows[0].cell[0]);

                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {

            if ($("#chImporte:checked").val() == 1) {
                $('#jqgPRO').jqGrid('resetSelection');
            }

            window.open('Informe.aspx?r=5200&pro=' + $("#jqgPRO").jqGrid('getGridParam', 'selarrrow').toString()
                    + '&fi=' + $('#txtFechaInicio').val()
                    + '&ff=' + $('#txtFechaFinal').val()
                    + '&chi=' + $('#chImporte:checked').val()
                    + '&i=' + $('#txtImporte').val()
                    + '&rbm=' + $('input[name=rbModo]:checked').val(),
                    '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                close: function () {
                    if ($("#txtFocus").val() == 0) {
                        $("#txtFiltroNombre").focus();
                    }
                    else {
                        $("#txtFiltroCodigo").focus();
                    }
                },
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            InitializeComponents();

            GetMON();

            LoadGridPRO();
            RefreshGridPRO();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTInvProdNoConsumidos.aspx">INV - <%=L.TIT("ResumenCompras") %> [4.3]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 525px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgMensajes" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ResumenCompras") %> [4.3]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/inventario/4-3-resumen-de-compras/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                        <td>
                            <%=cbDatosInv %>
                        </td>
                    </tr>
                </table>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                <br />

                <%=L.LBL("LblGENPeriodo") %>
                <input type="text" id="txtFechaInicio" class="eligeFecha" name="txtFechaInicio" style="width: 100px" value="<%=fecha_hotel_ini%>" />
                <input type="text" id="txtFechaFinal" class="eligeFecha" name="txtFechaFinal" style="width: 100px" value="<%=fecha_hotel%>" />

                <br />
                <br />

                <table>
                    <tr>
                        <td>
                            <fieldset>
                                <legend><b><%=L.LBL("LblINVRCOProveedores") %></b></legend>

                                <input type="hidden" id="IdSubElementPRO" value="0" />
                                <table id="jqgPRO"></table>

                                <br />

                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="chImporte" name="chImporte" value="1" />
                                            <%=L.LBL("LblINVRCOConMasDe") %>
                                        </td>
                                        <td>
                                            <input type="text" id="txtImporte" name="txtImporte" value="0.00" disabled="disabled" style="width: 80px; text-align: right;" onkeypress="return  Validar(event)" />
                                            <input type="text" id="txtMoneda" name="txtMoneda" style="background: none; border: none; width: 30px" disabled="disabled" />
                                            <%=L.LBL("LblINVRCOEnElPeriodoSeleccionado") %>
                                        </td>
                                    </tr>
                                </table>

                            </fieldset>
                        </td>
                    </tr>
                </table>

                <br />



                <% /* Boton Implimir */ %>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td>
                                        <fieldset>
                                            <input type="radio" name="rbModo" value="0" checked="checked" id="rdListado" /><%=L.LBL("LblINVRCODetallado") %>
                                            <input type="radio" name="rbModo" value="1" id="rdListadoResumido" /><%=L.LBL("LblGENResumido") %>
                                        </fieldset>
                                    </td>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
