﻿<%@ Import Namespace="Seven.DSS" %>
<%@ Import Namespace="Seven.DSS.Business" %>
<%@ Import Namespace="Seven.DSS.Globals" %>
<%@ Import Namespace="Seven.DSS.Objects" %>

<%@ Page Language="C#" MasterPageFile="ModelINV.Master" AutoEventWireup="true" CodeBehind="RPTInvResumenDiario.aspx.cs" Inherits="Seven.DSS.RPTInvResumenDiario" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
        { %>

    <title>INV - <%=L.TIT("ResumenDiarioTipoOperacion") %> [3.6]</title>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <script type="text/javascript">

        function CargarBaseDatos()
        {
            $('#dlgCargando').dialog('open');
            window.location.href='RPTInvResumenDiario.aspx?op=' + $('#cbDatosInv').val();
        }

        <% 

/* 
 * 
 * Índice de Código 
 * 
 * JQ01 - Grid ALMACEN
 * JQ02 - Grid SECCION
 * JQ03 - Otros VARIAS 
 * 
 * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
 * JS_DOC       - Funciones Javascript en Document.Ready()
 * 
 * DLG_VAR      - Diálogos Varios
 * 
 * TIT - Título
 * 
 * HH  - Hidden Hive - Almacen de datos en campos ocultos
 * 
 * B01 - Cuandro Información Principal
 * B02 - Formulario Principal OH
 * B03 - Zona Informativa 
 * 
 */

    %>

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para ALMACEN */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetALM() {
            $.ajax({
                url: 'Servicio.svc/GetAlmacenGrid',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgALM").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgALM")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgALM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridALM() {

            var lselALM;
            var colMap = {};
            $("#jqgALM").jqGrid({
                datatype: 'local',
                height: 150,
                width: 212,
                colNames: ['', '', '<%=L.LBL("LblINVCOAlmacen")%>', '', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo', index: 'codigo', width: 2, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_cto', index: 'id_cto', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'inv_cerrado', index: 'inv_cerrado', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            { name: 'fec_uact', index: 'fec_uact', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselALM) && !isNaN(id)) {
                            $("#jqgALM").jqGrid('delRowData', lselALM);
                            //$('#jqgALM').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgALM').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgALM").jqGrid('getRowData', id);

                            $('#jqgALM').jqGrid('restoreRow', lselALM);

                            $('#IdSubElementALM').val(ret.Id);
                        }
                        else {
                            //BotonNuevoALM();
                        }

                        //$('#jqgALM').jqGrid('editRow', id, true, EventsALM);
                        //Radios();

                        lselALM = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselALM)) {
                            $("#jqgALM").jqGrid('delRowData', lselALM);
                            $('#jqgALM').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgALM').jqGrid('saveRow', lselALM);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgALM').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgALM").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextALM').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconALM').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextALM').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconALM').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgALM').jqGrid('setSelection', id); 

                        //BotonSelectALM();
                    }
                },
                gridComplete: function () {
                    //$('#jqgTOD #ALM #jqgALM td:nth-child(1),#jqgTOD #ALM th:nth-child(1)').hide();

                    var rows = $("#jqgALM").getDataIDs();

                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementALM').val()) == 0) {
                            //$('#IdSubElementALM').val($("#jqgALM").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgALM").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgALM").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgALM').jqGrid('setSelection', $('#IdSubElementALM').val());
                    if (parseInt($('#IdSubElementALM').val()) != 0) {
                        //BotonSelectALM();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgALM").jqGrid('navGrid','#PaginadorConsumos',{del:false,add:false,edit:false,search:false});
            $("#bsdataALM").click(function () {
                jQuery("#jqgALM").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsALM(id) {
            $("#" + id + "_codigo").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_id_cto").on('change', function () { BotonGuardarALM(); });
            $("#" + id + "_inv_cerrado").on('change', function () { BotonGuardarALM(); });
            $("#" + id + "_unico").on('input', function () { BotonGuardarALM(); });
            $("#" + id + "_fec_uact").on('input', function () { BotonGuardarALM(); });
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridALM() {
            $("#jqgALM").jqGrid("setGridParam", { datatype: "json", datatype: GetALM, loadonce: true });
            $("#jqgALM").trigger("reloadGrid");
            $("#jqgALM").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ02 */%>

        <% /* Código del jqGrid para Stoksecc */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetSEC() {
            $.ajax({
                url: 'Servicio.svc/GetSeccionGrid',
                data: {
                    "Eliminado": $('#cbEliminado:checked').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando2').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando2').dialog('close');
                    try {
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgSEC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });

                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridSEC() {

            var lselSEC;
            var colMap = {};
            $("#jqgSEC").jqGrid({
                datatype: 'local',
                height: 150,
                width: 212,
                colNames: ['', '', '<%=L.LBL("LblINVCOSeccion")%>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'codigo', index: 'codigo', width: 2, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 10, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'id_cto', index: 'id_cto', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'consecutivo_ped', index: 'consecutivo_ped', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindN } },
                            { name: 'unico', index: 'unico', width: 10, editable: true, hidden: true, searchoptions: { sopt: ListFindT } },
                            //{ name: 'eliminado', index: 'eliminado', width: 10, editable: true, searchoptions:{sopt:ListFindN} },
                            //{ name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselSEC) && !isNaN(id)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            //$('#jqgSEC').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);

                            $('#jqgSEC').jqGrid('restoreRow', lselSEC);

                            $('#IdSubElementSEC').val(ret.Id);
                        }
                        else {
                            //BotonNuevoSEC();
                        }

                        //$('#jqgSEC').jqGrid('editRow', id, true, EventsSEC);
                        //$('#jqgSEC').jqGrid('resetSelection');

                        //Radios();


                        lselSEC = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselSEC)) {
                            $("#jqgSEC").jqGrid('delRowData', lselSEC);
                            $('#jqgSEC').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgSEC').jqGrid('saveRow', lselSEC);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgSEC').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgSEC").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextSEC').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconSEC').attr("src", "img/cross-script.png");
                        }

                        //$('#jqgSEC').jqGrid('setSelection', id);

                        //BotonSelectSEC();
                    }
                },
                gridComplete: function () {
                    //$('#jqgTOD #SEC #jqgSEC td:nth-child(1),#jqgTOD #SEC th:nth-child(1)').hide();

                    var rows = $("#jqgSEC").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementSEC').val()) == 0) {
                            //$('#IdSubElementSEC').val($("#jqgSEC").getCell(rows[i],"Id"));
                        }
                        var status = $("#jqgSEC").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgSEC").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgSEC').jqGrid('setSelection', $('#IdSubElementSEC').val());
                    if (parseInt($('#IdSubElementSEC').val()) != 0) {
                        //BotonSelectSEC();
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgSEC").jqGrid('navGrid','#PaginadorStoksecc',{del:false,add:false,edit:false,search:false});
            $("#bsdataStoksecc").click(function () {
                jQuery("#jqgSEC").jqGrid('searchGrid', { multipleSearch: true });
            });

        }

        function EventsSEC(id) {
            $("#" + id + "_codigo").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_descripcion").on('input', function () { BotonGuardarSEC(); });
            $("#" + id + "_id_cto").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_consecutivo_ped").on('change', function () { BotonGuardarSEC(); });
            $("#" + id + "_unico").on('input', function () { BotonGuardarSEC(); });
            //$("#" + id + "_eliminado").on('change', function () { BotonGuardarSEC(); });draggableOn();
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridSEC() {
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "json", datatype: GetSEC, loadonce: true });
            $("#jqgSEC").trigger("reloadGrid");
            $("#jqgSEC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <%/* JQ03 */%>

        <% /* JS_FUN_BASE */%>

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListado() {
            window.open('Informe.aspx?r=4500&ff=' + $('#txtFechaFinal').val()
                    + '&alm=' + $("#jqgALM").jqGrid('getGridParam', 'selarrrow').toString()
                    + '&sec=' + $("#jqgSEC").jqGrid('getGridParam', 'selarrrow').toString(),
                    '_blank');
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            LoadGridALM();
            LoadGridSEC();

            RefreshGridALM();
            RefreshGridSEC();

            $("#SevenMenu").accordion("option", "active", <%=AccoIDX %>);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');
        });

    </script>

    <style type="text/css">
        .NoScroll div {
            overflow: hidden;
        }
    </style>

    <% }
        catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
        { %>

    <% Seven.DSS.Objects.Cache c = Seven.DSS.Objects.MainCache.GetCache(int.Parse(Enigma.Desencriptar(Request.Cookies[Parametros.COOKIE_USR].Value))); %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M<%=AccoIDX + 1 %>';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="RPTInvProdNoConsumidos.aspx">INV - <%=L.TIT("ResumenDiarioTipoOperacion") %> [3.6]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 435px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("ResumenDiarioTipoOperacion") %> [3.6]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/inventario/3-6-resumen-diario-por-tipo-de-operaci%C3%B3n/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <br />

                <table>
                    <tr>
                        <td><b><%=L.LBL("LblBSDatos") %>: </b></td>
                        <td>
                            <%=cbDatosInv %>
                        </td>
                    </tr>
                </table>

                <br />

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="HabFEData">
                    </div>
                </div>

                 <%=L.LBL("LblGENDate") %>
                            <input type="text" id="txtFechaFinal" class="eligeFecha" name="txtFechaFinal" style="width:85px" value="<%=fecha_hotel%>" />

                <br /><br />

                <table id="jqgTOD">
                    <tr>
                        <td id="ALM">
                            <input type="hidden" id="IdSubElementALM" value="0" />
                            <table id="jqgALM"></table>
                        </td>
                        <td id="SEC">
                            <input type="hidden" id="IdSubElementSEC" value="0" />
                            <table id="jqgSEC"></table>

                        </td>
                    </tr>
                </table>

                <br />

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" onclick="ImprimirListado();" id="A2">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENPrint") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
        catch { } %>
</asp:Content>
